Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	Logitech G15 keyboard daemon xmms plugin
Name:      	g15daemon-xmms
Version:   	2.5.4
Release:   	1
Provides:  	g15daemon
License : 	GPL
url:		http://sourceforge.net/projects/g15daemon	
Group:     	System/Configuration/Hardware  
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXi-devel
BuildRequires:	glibc-devel
BuildRequires:  g15daemon-devel
BuildRequires:  libg15render-devel
BuildRequires:  libglib-devel
BuildRequires:  gtk+-devel
BuildRequires:  xmms-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
A very simple spectrum analyser for xmms.


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./autogen.sh
./configure --prefix=%_prefix  --mandir=%_mandir -disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 
 


%files
%defattr(-,root,root)
%_libdir/xmms/Visualization/libg15daemon_xmms_spectrum.a
%_libdir/xmms/Visualization/libg15daemon_xmms_spectrum.la
%_libdir/xmms/Visualization/libg15daemon_xmms_spectrum.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.5.4-1
- initial CCux package release
